#    “Commons Clause” License Condition v1.0
#   #
#    The Software is provided to you by the Licensor under the License, as defined
#    below, subject to the following condition.
#
#    Without limiting other conditions in the License, the grant of rights under the
#    License will not include, and the License does not grant to you, the right to
#    Sell the Software.
#
#    For purposes of the foregoing, “Sell” means practicing any or all of the rights
#    granted to you under the License to provide to third parties, for a fee or other
#    consideration (including without limitation fees for hosting or consulting/
#    support services related to the Software), a product or service whose value
#    derives, entirely or substantially, from the functionality of the Software. Any
#    license notice or attribution required by the License must also include this
#    Commons Clause License Condition notice.
#
#   Add-ons and extensions developed for this software may be distributed
#   under their own separate licenses.
#
#    Software: Revolution EDA
#    License: Mozilla Public License 2.0
#    Licensor: Revolution Semiconductor (Registered in the Netherlands)
#

# Layout Layers
from PySide6.QtCore import Qt
from PySide6.QtGui import QColor

import revedaEditor.backend.dataDefinitions as ddef

Activ_drw = ddef.layLayer(
    name="Activ",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C0.txt",
    z=0,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=0,
)
Activ_lbl = ddef.layLayer(
    name="Activ",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=1,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=1,
)
Activ_pin = ddef.layLayer(
    name="Activ",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C0.txt",
    z=2,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=2,
)
Activ_net = ddef.layLayer(
    name="Activ",
    purpose="net",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C0.txt",
    z=3,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=3,
)
Activ_bnd = ddef.layLayer(
    name="Activ",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=4,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=4,
)
Activ_lvs = ddef.layLayer(
    name="Activ",
    purpose="lvs",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=5,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=19,
)
Activ_msk = ddef.layLayer(
    name="Activ",
    purpose="msk",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C0.txt",
    z=6,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=20,
)
Activ_flr = ddef.layLayer(
    name="Activ",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C3.txt",
    z=7,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=22,
)
Activ_nfl = ddef.layLayer(
    name="Activ",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=8,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=23,
)
Activ_opc = ddef.layLayer(
    name="Activ",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C4.txt",
    z=9,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=26,
)
Activ_iop = ddef.layLayer(
    name="Activ",
    purpose="iop",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C5.txt",
    z=10,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=27,
)
Activ_noq = ddef.layLayer(
    name="Activ",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=11,
    selectable=True,
    visible=True,
    gdsLayer=1,
    datatype=28,
)
BiWind_drw = ddef.layLayer(
    name="BiWind",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C6.txt",
    z=12,
    selectable=True,
    visible=True,
    gdsLayer=3,
    datatype=0,
)
BiWind_opc = ddef.layLayer(
    name="BiWind",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.000000, 0.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.000000, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=13,
    selectable=True,
    visible=True,
    gdsLayer=3,
    datatype=26,
)
GatPoly_drw = ddef.layLayer(
    name="GatPoly",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C6.txt",
    z=14,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=0,
)
GatPoly_lbl = ddef.layLayer(
    name="GatPoly",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C1.txt",
    z=15,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=1,
)
GatPoly_pin = ddef.layLayer(
    name="GatPoly",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C1.txt",
    z=16,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=2,
)
GatPoly_net = ddef.layLayer(
    name="GatPoly",
    purpose="net",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C6.txt",
    z=17,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=3,
)
GatPoly_bnd = ddef.layLayer(
    name="GatPoly",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C6.txt",
    z=18,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=4,
)
GatPoly_flr = ddef.layLayer(
    name="GatPoly",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C6.txt",
    z=19,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=22,
)
GatPoly_nfl = ddef.layLayer(
    name="GatPoly",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C1.txt",
    z=20,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=23,
)
GatPoly_opc = ddef.layLayer(
    name="GatPoly",
    purpose="opc",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=21,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=26,
)
GatPoly_iop = ddef.layLayer(
    name="GatPoly",
    purpose="iop",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C7.txt",
    z=22,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=27,
)
GatPoly_noq = ddef.layLayer(
    name="GatPoly",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=23,
    selectable=True,
    visible=True,
    gdsLayer=5,
    datatype=28,
)
Cont_drw = ddef.layLayer(
    name="Cont",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C8.txt",
    z=24,
    selectable=True,
    visible=True,
    gdsLayer=6,
    datatype=0,
)
Cont_net = ddef.layLayer(
    name="Cont",
    purpose="net",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C8.txt",
    z=25,
    selectable=True,
    visible=True,
    gdsLayer=6,
    datatype=3,
)
Cont_bnd = ddef.layLayer(
    name="Cont",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C8.txt",
    z=26,
    selectable=True,
    visible=True,
    gdsLayer=6,
    datatype=4,
)
Cont_opc = ddef.layLayer(
    name="Cont",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=27,
    selectable=True,
    visible=True,
    gdsLayer=6,
    datatype=26,
)
nSD_drw = ddef.layLayer(
    name="nSD",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C9.txt",
    z=28,
    selectable=True,
    visible=True,
    gdsLayer=7,
    datatype=0,
)
nSD_blk = ddef.layLayer(
    name="nSD",
    purpose="blk",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C10.txt",
    z=29,
    selectable=True,
    visible=True,
    gdsLayer=7,
    datatype=21,
)
Metal1_drw = ddef.layLayer(
    name="Metal1",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=30,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=0,
)
Metal1_lbl = ddef.layLayer(
    name="Metal1",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=31,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=1,
)
Metal1_pin = ddef.layLayer(
    name="Metal1",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=32,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=2,
)
Metal1_net = ddef.layLayer(
    name="Metal1",
    purpose="net",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=33,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=3,
)
Metal1_bnd = ddef.layLayer(
    name="Metal1",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=34,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=4,
)
Metal1_msk = ddef.layLayer(
    name="Metal1",
    purpose="msk",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=35,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=20,
)
Metal1_flr = ddef.layLayer(
    name="Metal1",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=36,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=22,
)
Metal1_nfl = ddef.layLayer(
    name="Metal1",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=37,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=23,
)
Metal1_slt = ddef.layLayer(
    name="Metal1",
    purpose="slt",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=38,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=24,
)
Metal1_txt = ddef.layLayer(
    name="Metal1",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=39,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=25,
)
Metal1_opc = ddef.layLayer(
    name="Metal1",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=40,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=26,
)
Metal1_noq = ddef.layLayer(
    name="Metal1",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=41,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=28,
)
Metal1_res = ddef.layLayer(
    name="Metal1",
    purpose="res",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=42,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=29,
)
Metal1_iprb = ddef.layLayer(
    name="Metal1",
    purpose="iprb",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=43,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=33,
)
Metal1_difp = ddef.layLayer(
    name="Metal1",
    purpose="difp",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=44,
    selectable=True,
    visible=True,
    gdsLayer=8,
    datatype=34,
)
Passiv_drw = ddef.layLayer(
    name="Passiv",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C1.txt",
    z=45,
    selectable=True,
    visible=True,
    gdsLayer=9,
    datatype=0,
)
Passiv_lbl = ddef.layLayer(
    name="Passiv",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C1.txt",
    z=46,
    selectable=True,
    visible=True,
    gdsLayer=9,
    datatype=1,
)
Passiv_pin = ddef.layLayer(
    name="Passiv",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C1.txt",
    z=47,
    selectable=True,
    visible=True,
    gdsLayer=9,
    datatype=2,
)
Passiv_net = ddef.layLayer(
    name="Passiv",
    purpose="net",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C1.txt",
    z=48,
    selectable=True,
    visible=True,
    gdsLayer=9,
    datatype=3,
)
Passiv_bnd = ddef.layLayer(
    name="Passiv",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C1.txt",
    z=49,
    selectable=True,
    visible=True,
    gdsLayer=9,
    datatype=4,
)
Passiv_pdl = ddef.layLayer(
    name="Passiv",
    purpose="pdl",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C1.txt",
    z=50,
    selectable=True,
    visible=True,
    gdsLayer=9,
    datatype=40,
)
Passiv_sbp = ddef.layLayer(
    name="Passiv",
    purpose="sbp",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C1.txt",
    z=51,
    selectable=True,
    visible=True,
    gdsLayer=9,
    datatype=36,
)
Passiv_pil = ddef.layLayer(
    name="Passiv",
    purpose="pil",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C1.txt",
    z=52,
    selectable=True,
    visible=True,
    gdsLayer=9,
    datatype=35,
)
Metal2_drw = ddef.layLayer(
    name="Metal2",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C14.txt",
    z=53,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=0,
)
Metal2_lbl = ddef.layLayer(
    name="Metal2",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C14.txt",
    z=54,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=1,
)
Metal2_pin = ddef.layLayer(
    name="Metal2",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C14.txt",
    z=55,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=2,
)
Metal2_net = ddef.layLayer(
    name="Metal2",
    purpose="net",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C14.txt",
    z=56,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=3,
)
Metal2_bnd = ddef.layLayer(
    name="Metal2",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C14.txt",
    z=57,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=4,
)
Metal2_msk = ddef.layLayer(
    name="Metal2",
    purpose="msk",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C14.txt",
    z=58,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=20,
)
Metal2_flr = ddef.layLayer(
    name="Metal2",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C14.txt",
    z=59,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=22,
)
Metal2_nfl = ddef.layLayer(
    name="Metal2",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C1.txt",
    z=60,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=23,
)
Metal2_slt = ddef.layLayer(
    name="Metal2",
    purpose="slt",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C1.txt",
    z=61,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=24,
)
Metal2_txt = ddef.layLayer(
    name="Metal2",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C14.txt",
    z=62,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=25,
)
Metal2_opc = ddef.layLayer(
    name="Metal2",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=63,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=26,
)
Metal2_noq = ddef.layLayer(
    name="Metal2",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=64,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=28,
)
Metal2_res = ddef.layLayer(
    name="Metal2",
    purpose="res",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=65,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=29,
)
Metal2_iprb = ddef.layLayer(
    name="Metal2",
    purpose="iprb",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C1.txt",
    z=66,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=33,
)
Metal2_difp = ddef.layLayer(
    name="Metal2",
    purpose="difp",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 0.850980, 1.000000),
    btexture="stipples/C1.txt",
    z=67,
    selectable=True,
    visible=True,
    gdsLayer=10,
    datatype=34,
)
BasPoly_drw = ddef.layLayer(
    name="BasPoly",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C15.txt",
    z=68,
    selectable=True,
    visible=True,
    gdsLayer=13,
    datatype=0,
)
BasPoly_lbl = ddef.layLayer(
    name="BasPoly",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C1.txt",
    z=69,
    selectable=True,
    visible=True,
    gdsLayer=13,
    datatype=1,
)
BasPoly_pin = ddef.layLayer(
    name="BasPoly",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C1.txt",
    z=70,
    selectable=True,
    visible=True,
    gdsLayer=13,
    datatype=2,
)
BasPoly_net = ddef.layLayer(
    name="BasPoly",
    purpose="net",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C16.txt",
    z=71,
    selectable=True,
    visible=True,
    gdsLayer=13,
    datatype=3,
)
BasPoly_bnd = ddef.layLayer(
    name="BasPoly",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C1.txt",
    z=72,
    selectable=True,
    visible=True,
    gdsLayer=13,
    datatype=4,
)
pSD_drw = ddef.layLayer(
    name="pSD",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.800000, 0.721569, 0.600000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.721569, 0.600000, 1.000000),
    btexture="stipples/C17.txt",
    z=73,
    selectable=True,
    visible=True,
    gdsLayer=14,
    datatype=0,
)
NLDB_drw = ddef.layLayer(
    name="NLDB",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=74,
    selectable=True,
    visible=True,
    gdsLayer=15,
    datatype=0,
)
DigiBnd_drw = ddef.layLayer(
    name="DigiBnd",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C18.txt",
    z=75,
    selectable=True,
    visible=True,
    gdsLayer=16,
    datatype=0,
)
DigiBnd_dw0 = ddef.layLayer(
    name="DigiBnd",
    purpose="dw0",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C18.txt",
    z=76,
    selectable=True,
    visible=True,
    gdsLayer=16,
    datatype=10,
)
Via1_drw = ddef.layLayer(
    name="Via1",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 1.000000, 1.000000),
    btexture="stipples/C19.txt",
    z=77,
    selectable=True,
    visible=True,
    gdsLayer=19,
    datatype=0,
)
Via1_net = ddef.layLayer(
    name="Via1",
    purpose="net",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 1.000000, 1.000000),
    btexture="stipples/C19.txt",
    z=78,
    selectable=True,
    visible=True,
    gdsLayer=19,
    datatype=3,
)
Via1_bnd = ddef.layLayer(
    name="Via1",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.800000, 0.800000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.800000, 1.000000, 1.000000),
    btexture="stipples/C19.txt",
    z=79,
    selectable=True,
    visible=True,
    gdsLayer=19,
    datatype=4,
)
BackMetal1_drw = ddef.layLayer(
    name="BackMetal1",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=80,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=0,
)
BackMetal1_lbl = ddef.layLayer(
    name="BackMetal1",
    purpose="lbl",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=81,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=1,
)
BackMetal1_pin = ddef.layLayer(
    name="BackMetal1",
    purpose="pin",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=82,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=2,
)
BackMetal1_net = ddef.layLayer(
    name="BackMetal1",
    purpose="net",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=83,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=3,
)
BackMetal1_bnd = ddef.layLayer(
    name="BackMetal1",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=84,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=4,
)
BackMetal1_msk = ddef.layLayer(
    name="BackMetal1",
    purpose="msk",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=85,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=20,
)
BackMetal1_flr = ddef.layLayer(
    name="BackMetal1",
    purpose="flr",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=86,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=22,
)
BackMetal1_nfl = ddef.layLayer(
    name="BackMetal1",
    purpose="nfl",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=87,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=23,
)
BackMetal1_slt = ddef.layLayer(
    name="BackMetal1",
    purpose="slt",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=88,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=24,
)
BackMetal1_txt = ddef.layLayer(
    name="BackMetal1",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=89,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=25,
)
BackMetal1_opc = ddef.layLayer(
    name="BackMetal1",
    purpose="opc",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=90,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=26,
)
BackMetal1_noq = ddef.layLayer(
    name="BackMetal1",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=91,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=28,
)
BackMetal1_res = ddef.layLayer(
    name="BackMetal1",
    purpose="res",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=92,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=29,
)
BackMetal1_iprb = ddef.layLayer(
    name="BackMetal1",
    purpose="iprb",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=93,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=33,
)
BackMetal1_difp = ddef.layLayer(
    name="BackMetal1",
    purpose="difp",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=94,
    selectable=True,
    visible=True,
    gdsLayer=20,
    datatype=34,
)
BackPassiv_drw = ddef.layLayer(
    name="BackPassiv",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=95,
    selectable=True,
    visible=True,
    gdsLayer=23,
    datatype=0,
)
RES_drw = ddef.layLayer(
    name="RES",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=96,
    selectable=True,
    visible=True,
    gdsLayer=24,
    datatype=0,
)
RES_lbl = ddef.layLayer(
    name="RES",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C2.txt",
    z=97,
    selectable=True,
    visible=True,
    gdsLayer=24,
    datatype=1,
)
SRAM_drw = ddef.layLayer(
    name="SRAM",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C0.txt",
    z=98,
    selectable=True,
    visible=True,
    gdsLayer=25,
    datatype=0,
)
SRAM_lbl = ddef.layLayer(
    name="SRAM",
    purpose="lbl",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=99,
    selectable=True,
    visible=True,
    gdsLayer=25,
    datatype=1,
)
SRAM_bnd = ddef.layLayer(
    name="SRAM",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=100,
    selectable=True,
    visible=True,
    gdsLayer=25,
    datatype=4,
)
TRANS_drw = ddef.layLayer(
    name="TRANS",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=101,
    selectable=True,
    visible=True,
    gdsLayer=26,
    datatype=0,
)
IND_drw = ddef.layLayer(
    name="IND",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=102,
    selectable=True,
    visible=True,
    gdsLayer=27,
    datatype=0,
)
IND_pin = ddef.layLayer(
    name="IND",
    purpose="pin",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=103,
    selectable=True,
    visible=True,
    gdsLayer=27,
    datatype=2,
)
IND_bnd = ddef.layLayer(
    name="IND",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=104,
    selectable=True,
    visible=True,
    gdsLayer=27,
    datatype=4,
)
IND_txt = ddef.layLayer(
    name="IND",
    purpose="txt",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=105,
    selectable=True,
    visible=True,
    gdsLayer=27,
    datatype=25,
)
SalBlock_drw = ddef.layLayer(
    name="SalBlock",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C21.txt",
    z=106,
    selectable=True,
    visible=True,
    gdsLayer=28,
    datatype=0,
)
Via2_drw = ddef.layLayer(
    name="Via2",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.215686, 0.211765, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.215686, 0.211765, 1.000000),
    btexture="stipples/C22.txt",
    z=107,
    selectable=True,
    visible=True,
    gdsLayer=29,
    datatype=0,
)
Via2_net = ddef.layLayer(
    name="Via2",
    purpose="net",
    pcolor=QColor.fromRgbF(1.000000, 0.215686, 0.211765, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.215686, 0.211765, 1.000000),
    btexture="stipples/C22.txt",
    z=108,
    selectable=True,
    visible=True,
    gdsLayer=29,
    datatype=3,
)
Via2_bnd = ddef.layLayer(
    name="Via2",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 0.215686, 0.211765, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.215686, 0.211765, 1.000000),
    btexture="stipples/C22.txt",
    z=109,
    selectable=True,
    visible=True,
    gdsLayer=29,
    datatype=4,
)
Metal3_drw = ddef.layLayer(
    name="Metal3",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C23.txt",
    z=110,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=0,
)
Metal3_lbl = ddef.layLayer(
    name="Metal3",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C23.txt",
    z=111,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=1,
)
Metal3_pin = ddef.layLayer(
    name="Metal3",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C23.txt",
    z=112,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=2,
)
Metal3_net = ddef.layLayer(
    name="Metal3",
    purpose="net",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C23.txt",
    z=113,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=3,
)
Metal3_bnd = ddef.layLayer(
    name="Metal3",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C23.txt",
    z=114,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=4,
)
Metal3_msk = ddef.layLayer(
    name="Metal3",
    purpose="msk",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C23.txt",
    z=115,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=20,
)
Metal3_flr = ddef.layLayer(
    name="Metal3",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C23.txt",
    z=116,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=22,
)
Metal3_nfl = ddef.layLayer(
    name="Metal3",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=117,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=23,
)
Metal3_slt = ddef.layLayer(
    name="Metal3",
    purpose="slt",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=118,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=24,
)
Metal3_txt = ddef.layLayer(
    name="Metal3",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C23.txt",
    z=119,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=25,
)
Metal3_opc = ddef.layLayer(
    name="Metal3",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=120,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=26,
)
Metal3_noq = ddef.layLayer(
    name="Metal3",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=121,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=28,
)
Metal3_res = ddef.layLayer(
    name="Metal3",
    purpose="res",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=122,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=29,
)
Metal3_iprb = ddef.layLayer(
    name="Metal3",
    purpose="iprb",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=123,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=33,
)
Metal3_difp = ddef.layLayer(
    name="Metal3",
    purpose="difp",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=124,
    selectable=True,
    visible=True,
    gdsLayer=30,
    datatype=34,
)
NWell_drw = ddef.layLayer(
    name="NWell",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C25.txt",
    z=125,
    selectable=True,
    visible=True,
    gdsLayer=31,
    datatype=0,
)
NWell_lbl = ddef.layLayer(
    name="NWell",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C1.txt",
    z=126,
    selectable=True,
    visible=True,
    gdsLayer=31,
    datatype=1,
)
NWell_pin = ddef.layLayer(
    name="NWell",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C1.txt",
    z=127,
    selectable=True,
    visible=True,
    gdsLayer=31,
    datatype=2,
)
NWell_net = ddef.layLayer(
    name="NWell",
    purpose="net",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C25.txt",
    z=128,
    selectable=True,
    visible=True,
    gdsLayer=31,
    datatype=3,
)
NWell_bnd = ddef.layLayer(
    name="NWell",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C1.txt",
    z=129,
    selectable=True,
    visible=True,
    gdsLayer=31,
    datatype=4,
)
nBuLay_drw = ddef.layLayer(
    name="nBuLay",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    btexture="stipples/C26.txt",
    z=130,
    selectable=True,
    visible=True,
    gdsLayer=32,
    datatype=0,
)
nBuLay_lbl = ddef.layLayer(
    name="nBuLay",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    btexture="stipples/C26.txt",
    z=131,
    selectable=True,
    visible=True,
    gdsLayer=32,
    datatype=1,
)
nBuLay_pin = ddef.layLayer(
    name="nBuLay",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    btexture="stipples/C26.txt",
    z=132,
    selectable=True,
    visible=True,
    gdsLayer=32,
    datatype=2,
)
nBuLay_net = ddef.layLayer(
    name="nBuLay",
    purpose="net",
    pcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    btexture="stipples/C26.txt",
    z=133,
    selectable=True,
    visible=True,
    gdsLayer=32,
    datatype=3,
)
nBuLay_bnd = ddef.layLayer(
    name="nBuLay",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    btexture="stipples/C26.txt",
    z=134,
    selectable=True,
    visible=True,
    gdsLayer=32,
    datatype=4,
)
nBuLay_blk = ddef.layLayer(
    name="nBuLay",
    purpose="blk",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C1.txt",
    z=135,
    selectable=True,
    visible=True,
    gdsLayer=32,
    datatype=21,
)
EmWind_drw = ddef.layLayer(
    name="EmWind",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C1.txt",
    z=136,
    selectable=True,
    visible=True,
    gdsLayer=33,
    datatype=0,
)
EmWind_opc = ddef.layLayer(
    name="EmWind",
    purpose="opc",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=137,
    selectable=True,
    visible=True,
    gdsLayer=33,
    datatype=26,
)
DeepCo_drw = ddef.layLayer(
    name="DeepCo",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=138,
    selectable=True,
    visible=True,
    gdsLayer=35,
    datatype=0,
)
MIM_drw = ddef.layLayer(
    name="MIM",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C27.txt",
    z=139,
    selectable=True,
    visible=True,
    gdsLayer=36,
    datatype=0,
)
MIM_net = ddef.layLayer(
    name="MIM",
    purpose="net",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C27.txt",
    z=140,
    selectable=True,
    visible=True,
    gdsLayer=36,
    datatype=3,
)
MIM_bnd = ddef.layLayer(
    name="MIM",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C1.txt",
    z=141,
    selectable=True,
    visible=True,
    gdsLayer=36,
    datatype=4,
)
EdgeSeal_drw = ddef.layLayer(
    name="EdgeSeal",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=142,
    selectable=True,
    visible=True,
    gdsLayer=39,
    datatype=0,
)
EdgeSeal_bnd = ddef.layLayer(
    name="EdgeSeal",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=143,
    selectable=True,
    visible=True,
    gdsLayer=39,
    datatype=4,
)
Substrate_drw = ddef.layLayer(
    name="Substrate",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=144,
    selectable=True,
    visible=True,
    gdsLayer=40,
    datatype=0,
)
Substrate_txt = ddef.layLayer(
    name="Substrate",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=145,
    selectable=True,
    visible=True,
    gdsLayer=40,
    datatype=25,
)
dfpad_drw = ddef.layLayer(
    name="dfpad",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=146,
    selectable=True,
    visible=True,
    gdsLayer=41,
    datatype=0,
)
dfpad_pil = ddef.layLayer(
    name="dfpad",
    purpose="pil",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=147,
    selectable=True,
    visible=True,
    gdsLayer=41,
    datatype=35,
)
dfpad_sbp = ddef.layLayer(
    name="dfpad",
    purpose="sbp",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=148,
    selectable=True,
    visible=True,
    gdsLayer=41,
    datatype=36,
)
ThickGateOx_drw = ddef.layLayer(
    name="ThickGateOx",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    btexture="stipples/C29.txt",
    z=149,
    selectable=True,
    visible=True,
    gdsLayer=44,
    datatype=0,
)
PLDB_drw = ddef.layLayer(
    name="PLDB",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=150,
    selectable=True,
    visible=True,
    gdsLayer=45,
    datatype=0,
)
PWell_drw = ddef.layLayer(
    name="PWell",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C30.txt",
    z=151,
    selectable=True,
    visible=True,
    gdsLayer=46,
    datatype=0,
)
PWell_lbl = ddef.layLayer(
    name="PWell",
    purpose="lbl",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=152,
    selectable=True,
    visible=True,
    gdsLayer=46,
    datatype=1,
)
PWell_pin = ddef.layLayer(
    name="PWell",
    purpose="pin",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=153,
    selectable=True,
    visible=True,
    gdsLayer=46,
    datatype=2,
)
PWell_net = ddef.layLayer(
    name="PWell",
    purpose="net",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C30.txt",
    z=154,
    selectable=True,
    visible=True,
    gdsLayer=46,
    datatype=3,
)
PWell_bnd = ddef.layLayer(
    name="PWell",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=155,
    selectable=True,
    visible=True,
    gdsLayer=46,
    datatype=4,
)
PWell_blk = ddef.layLayer(
    name="PWell",
    purpose="blk",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C18.txt",
    z=156,
    selectable=True,
    visible=True,
    gdsLayer=46,
    datatype=21,
)
Via3_drw = ddef.layLayer(
    name="Via3",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.607843, 0.662745, 0.250980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.607843, 0.662745, 0.250980, 1.000000),
    btexture="stipples/C31.txt",
    z=157,
    selectable=True,
    visible=True,
    gdsLayer=49,
    datatype=0,
)
Via3_net = ddef.layLayer(
    name="Via3",
    purpose="net",
    pcolor=QColor.fromRgbF(0.607843, 0.662745, 0.250980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.607843, 0.662745, 0.250980, 1.000000),
    btexture="stipples/C31.txt",
    z=158,
    selectable=True,
    visible=True,
    gdsLayer=49,
    datatype=3,
)
Via3_bnd = ddef.layLayer(
    name="Via3",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.607843, 0.662745, 0.250980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.607843, 0.662745, 0.250980, 1.000000),
    btexture="stipples/C31.txt",
    z=159,
    selectable=True,
    visible=True,
    gdsLayer=49,
    datatype=4,
)
Metal4_drw = ddef.layLayer(
    name="Metal4",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C32.txt",
    z=160,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=0,
)
Metal4_lbl = ddef.layLayer(
    name="Metal4",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C32.txt",
    z=161,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=1,
)
Metal4_pin = ddef.layLayer(
    name="Metal4",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C32.txt",
    z=162,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=2,
)
Metal4_net = ddef.layLayer(
    name="Metal4",
    purpose="net",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C32.txt",
    z=163,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=3,
)
Metal4_bnd = ddef.layLayer(
    name="Metal4",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C32.txt",
    z=164,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=4,
)
Metal4_msk = ddef.layLayer(
    name="Metal4",
    purpose="msk",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C32.txt",
    z=165,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=20,
)
Metal4_flr = ddef.layLayer(
    name="Metal4",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C32.txt",
    z=166,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=22,
)
Metal4_nfl = ddef.layLayer(
    name="Metal4",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C1.txt",
    z=167,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=23,
)
Metal4_slt = ddef.layLayer(
    name="Metal4",
    purpose="slt",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C1.txt",
    z=168,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=24,
)
Metal4_txt = ddef.layLayer(
    name="Metal4",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.576471, 0.909804, 0.215686, 1.000000),
    btexture="stipples/C32.txt",
    z=169,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=25,
)
Metal4_opc = ddef.layLayer(
    name="Metal4",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.800000, 0.721569, 0.600000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=170,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=26,
)
Metal4_noq = ddef.layLayer(
    name="Metal4",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=171,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=28,
)
Metal4_res = ddef.layLayer(
    name="Metal4",
    purpose="res",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=172,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=29,
)
Metal4_iprb = ddef.layLayer(
    name="Metal4",
    purpose="iprb",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=173,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=33,
)
Metal4_difp = ddef.layLayer(
    name="Metal4",
    purpose="difp",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=174,
    selectable=True,
    visible=True,
    gdsLayer=50,
    datatype=34,
)
HeatTrans_drw = ddef.layLayer(
    name="HeatTrans",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C1.txt",
    z=175,
    selectable=True,
    visible=True,
    gdsLayer=51,
    datatype=0,
)
HeatRes_drw = ddef.layLayer(
    name="HeatRes",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C1.txt",
    z=176,
    selectable=True,
    visible=True,
    gdsLayer=52,
    datatype=0,
)
FBE_drw = ddef.layLayer(
    name="FBE",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.501961, 0.149020, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=177,
    selectable=True,
    visible=True,
    gdsLayer=54,
    datatype=0,
)
EmPoly_drw = ddef.layLayer(
    name="EmPoly",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=178,
    selectable=True,
    visible=True,
    gdsLayer=55,
    datatype=0,
)
DigiSub_drw = ddef.layLayer(
    name="DigiSub",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C18.txt",
    z=179,
    selectable=True,
    visible=True,
    gdsLayer=60,
    datatype=0,
)
NoDRC_drw = ddef.layLayer(
    name="NoDRC",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=180,
    selectable=True,
    visible=True,
    gdsLayer=62,
    datatype=0,
)
TEXT_drw = ddef.layLayer(
    name="TEXT",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=181,
    selectable=True,
    visible=True,
    gdsLayer=63,
    datatype=0,
)
Via4_drw = ddef.layLayer(
    name="Via4",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.870588, 0.674510, 0.368627, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.870588, 0.674510, 0.368627, 1.000000),
    btexture="stipples/C34.txt",
    z=182,
    selectable=True,
    visible=True,
    gdsLayer=66,
    datatype=0,
)
Via4_net = ddef.layLayer(
    name="Via4",
    purpose="net",
    pcolor=QColor.fromRgbF(0.870588, 0.674510, 0.368627, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.870588, 0.674510, 0.368627, 1.000000),
    btexture="stipples/C34.txt",
    z=183,
    selectable=True,
    visible=True,
    gdsLayer=66,
    datatype=3,
)
Via4_bnd = ddef.layLayer(
    name="Via4",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.870588, 0.674510, 0.368627, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.870588, 0.674510, 0.368627, 1.000000),
    btexture="stipples/C34.txt",
    z=184,
    selectable=True,
    visible=True,
    gdsLayer=66,
    datatype=4,
)
Metal5_drw = ddef.layLayer(
    name="Metal5",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C33.txt",
    z=185,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=0,
)
Metal5_lbl = ddef.layLayer(
    name="Metal5",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C33.txt",
    z=186,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=1,
)
Metal5_pin = ddef.layLayer(
    name="Metal5",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C33.txt",
    z=187,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=2,
)
Metal5_net = ddef.layLayer(
    name="Metal5",
    purpose="net",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C33.txt",
    z=188,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=3,
)
Metal5_bnd = ddef.layLayer(
    name="Metal5",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C33.txt",
    z=189,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=4,
)
Metal5_msk = ddef.layLayer(
    name="Metal5",
    purpose="msk",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C33.txt",
    z=190,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=20,
)
Metal5_flr = ddef.layLayer(
    name="Metal5",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C33.txt",
    z=191,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=22,
)
Metal5_nfl = ddef.layLayer(
    name="Metal5",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C1.txt",
    z=192,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=23,
)
Metal5_slt = ddef.layLayer(
    name="Metal5",
    purpose="slt",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C1.txt",
    z=193,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=24,
)
Metal5_txt = ddef.layLayer(
    name="Metal5",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C33.txt",
    z=194,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=25,
)
Metal5_opc = ddef.layLayer(
    name="Metal5",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=195,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=26,
)
Metal5_noq = ddef.layLayer(
    name="Metal5",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=196,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=28,
)
Metal5_res = ddef.layLayer(
    name="Metal5",
    purpose="res",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=197,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=29,
)
Metal5_iprb = ddef.layLayer(
    name="Metal5",
    purpose="iprb",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C1.txt",
    z=198,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=33,
)
Metal5_difp = ddef.layLayer(
    name="Metal5",
    purpose="difp",
    pcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.862745, 0.819608, 0.274510, 1.000000),
    btexture="stipples/C1.txt",
    z=199,
    selectable=True,
    visible=True,
    gdsLayer=67,
    datatype=34,
)
RadHard_drw = ddef.layLayer(
    name="RadHard",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.462745, 0.984314, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.462745, 0.984314, 1.000000),
    btexture="stipples/C2.txt",
    z=200,
    selectable=True,
    visible=True,
    gdsLayer=68,
    datatype=0,
)
MemCap_drw = ddef.layLayer(
    name="MemCap",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    btexture="stipples/C35.txt",
    z=201,
    selectable=True,
    visible=True,
    gdsLayer=69,
    datatype=0,
)
Varicap_drw = ddef.layLayer(
    name="Varicap",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C1.txt",
    z=202,
    selectable=True,
    visible=True,
    gdsLayer=70,
    datatype=0,
)
IntBondVia_drw = ddef.layLayer(
    name="IntBondVia",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C33.txt",
    z=203,
    selectable=True,
    visible=True,
    gdsLayer=72,
    datatype=0,
)
IntBondMet_drw = ddef.layLayer(
    name="IntBondMet",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C33.txt",
    z=204,
    selectable=True,
    visible=True,
    gdsLayer=73,
    datatype=0,
)
DevBondVia_drw = ddef.layLayer(
    name="DevBondVia",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C20.txt",
    z=205,
    selectable=True,
    visible=True,
    gdsLayer=74,
    datatype=0,
)
DevBondMet_drw = ddef.layLayer(
    name="DevBondMet",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C20.txt",
    z=206,
    selectable=True,
    visible=True,
    gdsLayer=75,
    datatype=0,
)
DevTrench_drw = ddef.layLayer(
    name="DevTrench",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=207,
    selectable=True,
    visible=True,
    gdsLayer=76,
    datatype=0,
)
Redist_drw = ddef.layLayer(
    name="Redist",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=208,
    selectable=True,
    visible=True,
    gdsLayer=77,
    datatype=0,
)
GraphBot_drw = ddef.layLayer(
    name="GraphBot",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C36.txt",
    z=209,
    selectable=True,
    visible=True,
    gdsLayer=78,
    datatype=0,
)
GraphTop_drw = ddef.layLayer(
    name="GraphTop",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    btexture="stipples/C37.txt",
    z=210,
    selectable=True,
    visible=True,
    gdsLayer=79,
    datatype=0,
)
AntVia1_drw = ddef.layLayer(
    name="AntVia1",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C38.txt",
    z=211,
    selectable=True,
    visible=True,
    gdsLayer=83,
    datatype=0,
)
AntMetal2_drw = ddef.layLayer(
    name="AntMetal2",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C36.txt",
    z=212,
    selectable=True,
    visible=True,
    gdsLayer=84,
    datatype=0,
)
GraphCont_drw = ddef.layLayer(
    name="GraphCont",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C33.txt",
    z=213,
    selectable=True,
    visible=True,
    gdsLayer=85,
    datatype=0,
)
SiWG_drw = ddef.layLayer(
    name="SiWG",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C21.txt",
    z=214,
    selectable=True,
    visible=True,
    gdsLayer=86,
    datatype=0,
)
SiWG_flr = ddef.layLayer(
    name="SiWG",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C21.txt",
    z=215,
    selectable=True,
    visible=True,
    gdsLayer=86,
    datatype=22,
)
SiWG_nfl = ddef.layLayer(
    name="SiWG",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=216,
    selectable=True,
    visible=True,
    gdsLayer=86,
    datatype=23,
)
SiGrating_drw = ddef.layLayer(
    name="SiGrating",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.549020, 0.549020, 0.650980, 1.000000),
    btexture="stipples/C3.txt",
    z=217,
    selectable=True,
    visible=True,
    gdsLayer=87,
    datatype=0,
)
SiNGrating_drw = ddef.layLayer(
    name="SiNGrating",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.521569, 0.223529, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.521569, 0.223529, 1.000000),
    btexture="stipples/C25.txt",
    z=218,
    selectable=True,
    visible=True,
    gdsLayer=88,
    datatype=0,
)
GraphPas_drw = ddef.layLayer(
    name="GraphPas",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=219,
    selectable=True,
    visible=True,
    gdsLayer=89,
    datatype=0,
)
EmWind3_drw = ddef.layLayer(
    name="EmWind3",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C1.txt",
    z=220,
    selectable=True,
    visible=True,
    gdsLayer=90,
    datatype=0,
)
EmWiHV3_drw = ddef.layLayer(
    name="EmWiHV3",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C1.txt",
    z=221,
    selectable=True,
    visible=True,
    gdsLayer=91,
    datatype=0,
)
RedBuLay_drw = ddef.layLayer(
    name="RedBuLay",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.850980, 0.800000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.850980, 0.800000, 0.000000, 1.000000),
    btexture="stipples/C26.txt",
    z=222,
    selectable=True,
    visible=True,
    gdsLayer=92,
    datatype=0,
)
SMOS_drw = ddef.layLayer(
    name="SMOS",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C36.txt",
    z=223,
    selectable=True,
    visible=True,
    gdsLayer=93,
    datatype=0,
)
GraphPad_drw = ddef.layLayer(
    name="GraphPad",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C3.txt",
    z=224,
    selectable=True,
    visible=True,
    gdsLayer=97,
    datatype=0,
)
Polimide_drw = ddef.layLayer(
    name="Polimide",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C26.txt",
    z=225,
    selectable=True,
    visible=True,
    gdsLayer=98,
    datatype=0,
)
Polimide_lbl = ddef.layLayer(
    name="Polimide",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C26.txt",
    z=226,
    selectable=True,
    visible=True,
    gdsLayer=98,
    datatype=1,
)
Polimide_pin = ddef.layLayer(
    name="Polimide",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C26.txt",
    z=227,
    selectable=True,
    visible=True,
    gdsLayer=98,
    datatype=2,
)
Polimide_net = ddef.layLayer(
    name="Polimide",
    purpose="net",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C26.txt",
    z=228,
    selectable=True,
    visible=True,
    gdsLayer=98,
    datatype=3,
)
Recog_drw = ddef.layLayer(
    name="Recog",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.741176, 0.800000, 0.800000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.741176, 0.800000, 0.800000, 1.000000),
    btexture="stipples/C2.txt",
    z=229,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=0,
)
Recog_pin = ddef.layLayer(
    name="Recog",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.741176, 0.800000, 0.800000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.741176, 0.800000, 0.800000, 1.000000),
    btexture="stipples/C2.txt",
    z=230,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=2,
)
Recog_esd = ddef.layLayer(
    name="Recog",
    purpose="esd",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=231,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=30,
)
Recog_dio = ddef.layLayer(
    name="Recog",
    purpose="dio",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=232,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=31,
)
Recog_tsv = ddef.layLayer(
    name="Recog",
    purpose="tsv",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=233,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=32,
)
Recog_iprb = ddef.layLayer(
    name="Recog",
    purpose="iprb",
    pcolor=QColor.fromRgbF(0.850980, 0.901961, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.850980, 0.901961, 1.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=234,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=33,
)
Recog_difp = ddef.layLayer(
    name="Recog",
    purpose="difp",
    pcolor=QColor.fromRgbF(0.850980, 0.901961, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.850980, 0.901961, 1.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=235,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=34,
)
Recog_pil = ddef.layLayer(
    name="Recog",
    purpose="pil",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=236,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=35,
)
Recog_sbp = ddef.layLayer(
    name="Recog",
    purpose="sbp",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=237,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=36,
)
Recog_otp = ddef.layLayer(
    name="Recog",
    purpose="otp",
    pcolor=QColor.fromRgbF(0.850980, 0.800000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.850980, 0.800000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=238,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=37,
)
Recog_pdio = ddef.layLayer(
    name="Recog",
    purpose="pdio",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=239,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=38,
)
Recog_mom = ddef.layLayer(
    name="Recog",
    purpose="mom",
    pcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.149020, 0.549020, 0.419608, 1.000000),
    btexture="stipples/C2.txt",
    z=240,
    selectable=True,
    visible=True,
    gdsLayer=99,
    datatype=39,
)
ColOpen_drw = ddef.layLayer(
    name="ColOpen",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C39.txt",
    z=241,
    selectable=True,
    visible=True,
    gdsLayer=101,
    datatype=0,
)
GraphMetal1_drw = ddef.layLayer(
    name="GraphMetal1",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    btexture="stipples/C33.txt",
    z=242,
    selectable=True,
    visible=True,
    gdsLayer=109,
    datatype=0,
)
GraphMetal1_flr = ddef.layLayer(
    name="GraphMetal1",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    btexture="stipples/C33.txt",
    z=243,
    selectable=True,
    visible=True,
    gdsLayer=109,
    datatype=22,
)
GraphMetal1_nfl = ddef.layLayer(
    name="GraphMetal1",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=244,
    selectable=True,
    visible=True,
    gdsLayer=109,
    datatype=23,
)
GraphMetal1_slt = ddef.layLayer(
    name="GraphMetal1",
    purpose="slt",
    pcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=245,
    selectable=True,
    visible=True,
    gdsLayer=109,
    datatype=24,
)
GraphMetal1_opc = ddef.layLayer(
    name="GraphMetal1",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.701961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=246,
    selectable=True,
    visible=True,
    gdsLayer=109,
    datatype=26,
)
GraphMet1L_drw = ddef.layLayer(
    name="GraphMet1L",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    btexture="stipples/C32.txt",
    z=247,
    selectable=True,
    visible=True,
    gdsLayer=110,
    datatype=0,
)
GraphMet1L_flr = ddef.layLayer(
    name="GraphMet1L",
    purpose="flr",
    pcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    btexture="stipples/C32.txt",
    z=248,
    selectable=True,
    visible=True,
    gdsLayer=110,
    datatype=22,
)
GraphMet1L_nfl = ddef.layLayer(
    name="GraphMet1L",
    purpose="nfl",
    pcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    btexture="stipples/C1.txt",
    z=249,
    selectable=True,
    visible=True,
    gdsLayer=110,
    datatype=23,
)
GraphMet1L_slt = ddef.layLayer(
    name="GraphMet1L",
    purpose="slt",
    pcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    btexture="stipples/C1.txt",
    z=250,
    selectable=True,
    visible=True,
    gdsLayer=110,
    datatype=24,
)
GraphMet1L_opc = ddef.layLayer(
    name="GraphMet1L",
    purpose="opc",
    pcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.203922, 0.717647, 0.670588, 1.000000),
    btexture="stipples/C1.txt",
    z=251,
    selectable=True,
    visible=True,
    gdsLayer=110,
    datatype=26,
)
EXTBlock_drw = ddef.layLayer(
    name="EXTBlock",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=252,
    selectable=True,
    visible=True,
    gdsLayer=111,
    datatype=0,
)
NLDD_drw = ddef.layLayer(
    name="NLDD",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C40.txt",
    z=253,
    selectable=True,
    visible=True,
    gdsLayer=112,
    datatype=0,
)
PLDD_drw = ddef.layLayer(
    name="PLDD",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C41.txt",
    z=254,
    selectable=True,
    visible=True,
    gdsLayer=113,
    datatype=0,
)
NExt_drw = ddef.layLayer(
    name="NExt",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C42.txt",
    z=255,
    selectable=True,
    visible=True,
    gdsLayer=114,
    datatype=0,
)
PExt_drw = ddef.layLayer(
    name="PExt",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C43.txt",
    z=256,
    selectable=True,
    visible=True,
    gdsLayer=115,
    datatype=0,
)
NExtHV_drw = ddef.layLayer(
    name="NExtHV",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C44.txt",
    z=257,
    selectable=True,
    visible=True,
    gdsLayer=116,
    datatype=0,
)
PExtHV_drw = ddef.layLayer(
    name="PExtHV",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C7.txt",
    z=258,
    selectable=True,
    visible=True,
    gdsLayer=117,
    datatype=0,
)
GraphGate_drw = ddef.layLayer(
    name="GraphGate",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C0.txt",
    z=259,
    selectable=True,
    visible=True,
    gdsLayer=118,
    datatype=0,
)
SiNWG_drw = ddef.layLayer(
    name="SiNWG",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    btexture="stipples/C21.txt",
    z=260,
    selectable=True,
    visible=True,
    gdsLayer=119,
    datatype=0,
)
SiNWG_flr = ddef.layLayer(
    name="SiNWG",
    purpose="flr",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    btexture="stipples/C21.txt",
    z=261,
    selectable=True,
    visible=True,
    gdsLayer=119,
    datatype=22,
)
SiNWG_nfl = ddef.layLayer(
    name="SiNWG",
    purpose="nfl",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    btexture="stipples/C1.txt",
    z=262,
    selectable=True,
    visible=True,
    gdsLayer=119,
    datatype=23,
)
MEMPAD_drw = ddef.layLayer(
    name="MEMPAD",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C45.txt",
    z=263,
    selectable=True,
    visible=True,
    gdsLayer=124,
    datatype=0,
)
TopVia1_drw = ddef.layLayer(
    name="TopVia1",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C46.txt",
    z=264,
    selectable=True,
    visible=True,
    gdsLayer=125,
    datatype=0,
)
TopVia1_net = ddef.layLayer(
    name="TopVia1",
    purpose="net",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C46.txt",
    z=265,
    selectable=True,
    visible=True,
    gdsLayer=125,
    datatype=3,
)
TopVia1_bnd = ddef.layLayer(
    name="TopVia1",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=266,
    selectable=True,
    visible=True,
    gdsLayer=125,
    datatype=4,
)
TopMetal1_drw = ddef.layLayer(
    name="TopMetal1",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=267,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=0,
)
TopMetal1_lbl = ddef.layLayer(
    name="TopMetal1",
    purpose="lbl",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=268,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=1,
)
TopMetal1_pin = ddef.layLayer(
    name="TopMetal1",
    purpose="pin",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=269,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=2,
)
TopMetal1_net = ddef.layLayer(
    name="TopMetal1",
    purpose="net",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=270,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=3,
)
TopMetal1_bnd = ddef.layLayer(
    name="TopMetal1",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=271,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=4,
)
TopMetal1_msk = ddef.layLayer(
    name="TopMetal1",
    purpose="msk",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=272,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=20,
)
TopMetal1_flr = ddef.layLayer(
    name="TopMetal1",
    purpose="flr",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C20.txt",
    z=273,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=22,
)
TopMetal1_nfl = ddef.layLayer(
    name="TopMetal1",
    purpose="nfl",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=274,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=23,
)
TopMetal1_slt = ddef.layLayer(
    name="TopMetal1",
    purpose="slt",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=275,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=24,
)
TopMetal1_txt = ddef.layLayer(
    name="TopMetal1",
    purpose="txt",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C2.txt",
    z=276,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=25,
)
TopMetal1_noq = ddef.layLayer(
    name="TopMetal1",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=277,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=28,
)
TopMetal1_res = ddef.layLayer(
    name="TopMetal1",
    purpose="res",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=278,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=29,
)
TopMetal1_iprb = ddef.layLayer(
    name="TopMetal1",
    purpose="iprb",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=279,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=33,
)
TopMetal1_difp = ddef.layLayer(
    name="TopMetal1",
    purpose="difp",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C1.txt",
    z=280,
    selectable=True,
    visible=True,
    gdsLayer=126,
    datatype=34,
)
INLDPWL_drw = ddef.layLayer(
    name="INLDPWL",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C40.txt",
    z=281,
    selectable=True,
    visible=True,
    gdsLayer=127,
    datatype=0,
)
PolyRes_drw = ddef.layLayer(
    name="PolyRes",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C6.txt",
    z=282,
    selectable=True,
    visible=True,
    gdsLayer=128,
    datatype=0,
)
PolyRes_lbl = ddef.layLayer(
    name="PolyRes",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C1.txt",
    z=283,
    selectable=True,
    visible=True,
    gdsLayer=128,
    datatype=1,
)
PolyRes_pin = ddef.layLayer(
    name="PolyRes",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C1.txt",
    z=284,
    selectable=True,
    visible=True,
    gdsLayer=128,
    datatype=2,
)
PolyRes_net = ddef.layLayer(
    name="PolyRes",
    purpose="net",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C6.txt",
    z=285,
    selectable=True,
    visible=True,
    gdsLayer=128,
    datatype=3,
)
PolyRes_bnd = ddef.layLayer(
    name="PolyRes",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C6.txt",
    z=286,
    selectable=True,
    visible=True,
    gdsLayer=128,
    datatype=4,
)
Vmim_drw = ddef.layLayer(
    name="Vmim",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.901961, 0.749020, 1.000000),
    btexture="stipples/C46.txt",
    z=287,
    selectable=True,
    visible=True,
    gdsLayer=129,
    datatype=0,
)
nBuLayCut_drw = ddef.layLayer(
    name="nBuLayCut",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C47.txt",
    z=288,
    selectable=True,
    visible=True,
    gdsLayer=131,
    datatype=0,
)
AntMetal1_drw = ddef.layLayer(
    name="AntMetal1",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C38.txt",
    z=289,
    selectable=True,
    visible=True,
    gdsLayer=132,
    datatype=0,
)
TopVia2_drw = ddef.layLayer(
    name="TopVia2",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C48.txt",
    z=290,
    selectable=True,
    visible=True,
    gdsLayer=133,
    datatype=0,
)
TopVia2_net = ddef.layLayer(
    name="TopVia2",
    purpose="net",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C48.txt",
    z=291,
    selectable=True,
    visible=True,
    gdsLayer=133,
    datatype=3,
)
TopVia2_bnd = ddef.layLayer(
    name="TopVia2",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=292,
    selectable=True,
    visible=True,
    gdsLayer=133,
    datatype=4,
)
TopMetal2_drw = ddef.layLayer(
    name="TopMetal2",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C49.txt",
    z=293,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=0,
)
TopMetal2_lbl = ddef.layLayer(
    name="TopMetal2",
    purpose="lbl",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C49.txt",
    z=294,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=1,
)
TopMetal2_pin = ddef.layLayer(
    name="TopMetal2",
    purpose="pin",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C49.txt",
    z=295,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=2,
)
TopMetal2_net = ddef.layLayer(
    name="TopMetal2",
    purpose="net",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C49.txt",
    z=296,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=3,
)
TopMetal2_bnd = ddef.layLayer(
    name="TopMetal2",
    purpose="bnd",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=297,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=4,
)
TopMetal2_msk = ddef.layLayer(
    name="TopMetal2",
    purpose="msk",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C49.txt",
    z=298,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=20,
)
TopMetal2_flr = ddef.layLayer(
    name="TopMetal2",
    purpose="flr",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C11.txt",
    z=299,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=22,
)
TopMetal2_nfl = ddef.layLayer(
    name="TopMetal2",
    purpose="nfl",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=300,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=23,
)
TopMetal2_slt = ddef.layLayer(
    name="TopMetal2",
    purpose="slt",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=301,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=24,
)
TopMetal2_txt = ddef.layLayer(
    name="TopMetal2",
    purpose="txt",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C49.txt",
    z=302,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=25,
)
TopMetal2_noq = ddef.layLayer(
    name="TopMetal2",
    purpose="noq",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=303,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=28,
)
TopMetal2_res = ddef.layLayer(
    name="TopMetal2",
    purpose="res",
    pcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.749020, 0.250980, 0.149020, 1.000000),
    btexture="stipples/C13.txt",
    z=304,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=29,
)
TopMetal2_iprb = ddef.layLayer(
    name="TopMetal2",
    purpose="iprb",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=305,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=33,
)
TopMetal2_difp = ddef.layLayer(
    name="TopMetal2",
    purpose="difp",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=306,
    selectable=True,
    visible=True,
    gdsLayer=134,
    datatype=34,
)
SNSRing_drw = ddef.layLayer(
    name="SNSRing",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C6.txt",
    z=307,
    selectable=True,
    visible=True,
    gdsLayer=135,
    datatype=0,
)
Sensor_drw = ddef.layLayer(
    name="Sensor",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.741176, 0.800000, 0.800000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.741176, 0.800000, 0.800000, 1.000000),
    btexture="stipples/C6.txt",
    z=308,
    selectable=True,
    visible=True,
    gdsLayer=136,
    datatype=0,
)
SNSArms_drw = ddef.layLayer(
    name="SNSArms",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C6.txt",
    z=309,
    selectable=True,
    visible=True,
    gdsLayer=137,
    datatype=0,
)
SNSCMOSVia_drw = ddef.layLayer(
    name="SNSCMOSVia",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C6.txt",
    z=310,
    selectable=True,
    visible=True,
    gdsLayer=138,
    datatype=0,
)
ColWind_drw = ddef.layLayer(
    name="ColWind",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    btexture="stipples/C50.txt",
    z=311,
    selectable=True,
    visible=True,
    gdsLayer=139,
    datatype=0,
)
FLM_drw = ddef.layLayer(
    name="FLM",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.200000, 0.200000, 0.600000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.200000, 0.200000, 0.600000, 1.000000),
    btexture="stipples/C2.txt",
    z=312,
    selectable=True,
    visible=True,
    gdsLayer=142,
    datatype=0,
)
HafniumOx_drw = ddef.layLayer(
    name="HafniumOx",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C6.txt",
    z=313,
    selectable=True,
    visible=True,
    gdsLayer=143,
    datatype=0,
)
MEMVia_drw = ddef.layLayer(
    name="MEMVia",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.850980, 0.800000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.850980, 0.800000, 0.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=314,
    selectable=True,
    visible=True,
    gdsLayer=145,
    datatype=0,
)
ThinFilmRes_drw = ddef.layLayer(
    name="ThinFilmRes",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    btexture="stipples/C2.txt",
    z=315,
    selectable=True,
    visible=True,
    gdsLayer=146,
    datatype=0,
)
RFMEM_drw = ddef.layLayer(
    name="RFMEM",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=316,
    selectable=True,
    visible=True,
    gdsLayer=147,
    datatype=0,
)
NoRCX_drw = ddef.layLayer(
    name="NoRCX",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=317,
    selectable=True,
    visible=True,
    gdsLayer=148,
    datatype=0,
)
NoRCX_m23 = ddef.layLayer(
    name="NoRCX",
    purpose="m23",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=318,
    selectable=True,
    visible=True,
    gdsLayer=148,
    datatype=41,
)
NoRCX_m24 = ddef.layLayer(
    name="NoRCX",
    purpose="m24",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=319,
    selectable=True,
    visible=True,
    gdsLayer=148,
    datatype=42,
)
NoRCX_m25 = ddef.layLayer(
    name="NoRCX",
    purpose="m25",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=320,
    selectable=True,
    visible=True,
    gdsLayer=148,
    datatype=43,
)
NoRCX_ = ddef.layLayer(
    name="NoRCX",
    purpose="",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=321,
    selectable=True,
    visible=True,
    gdsLayer=148,
    datatype=44,
)
NoRCX_m34 = ddef.layLayer(
    name="NoRCX",
    purpose="m34",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=322,
    selectable=True,
    visible=True,
    gdsLayer=148,
    datatype=46,
)
NoRCX_m35 = ddef.layLayer(
    name="NoRCX",
    purpose="m35",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=323,
    selectable=True,
    visible=True,
    gdsLayer=148,
    datatype=47,
)
NoRCX_m45 = ddef.layLayer(
    name="NoRCX",
    purpose="m45",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=324,
    selectable=True,
    visible=True,
    gdsLayer=148,
    datatype=50,
)
SNSBotVia_drw = ddef.layLayer(
    name="SNSBotVia",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.800000, 0.721569, 0.600000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.721569, 0.600000, 1.000000),
    btexture="stipples/C51.txt",
    z=325,
    selectable=True,
    visible=True,
    gdsLayer=149,
    datatype=0,
)
SNSTopVia_drw = ddef.layLayer(
    name="SNSTopVia",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C51.txt",
    z=326,
    selectable=True,
    visible=True,
    gdsLayer=151,
    datatype=0,
)
DeepVia_drw = ddef.layLayer(
    name="DeepVia",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=327,
    selectable=True,
    visible=True,
    gdsLayer=152,
    datatype=0,
)
FGEtch_drw = ddef.layLayer(
    name="FGEtch",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.368627, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C18.txt",
    z=328,
    selectable=True,
    visible=True,
    gdsLayer=153,
    datatype=0,
)
CtrGat_drw = ddef.layLayer(
    name="CtrGat",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=329,
    selectable=True,
    visible=True,
    gdsLayer=154,
    datatype=0,
)
FGImp_drw = ddef.layLayer(
    name="FGImp",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    btexture="stipples/C2.txt",
    z=330,
    selectable=True,
    visible=True,
    gdsLayer=155,
    datatype=0,
)
EmWiHV_drw = ddef.layLayer(
    name="EmWiHV",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C1.txt",
    z=331,
    selectable=True,
    visible=True,
    gdsLayer=156,
    datatype=0,
)
LBE_drw = ddef.layLayer(
    name="LBE",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.000000, 1.000000, 1.000000),
    btexture="stipples/C7.txt",
    z=332,
    selectable=True,
    visible=True,
    gdsLayer=157,
    datatype=0,
)
AlCuStop_drw = ddef.layLayer(
    name="AlCuStop",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.800000, 1.000000),
    btexture="stipples/C2.txt",
    z=333,
    selectable=True,
    visible=True,
    gdsLayer=159,
    datatype=0,
)
NoMetFiller_drw = ddef.layLayer(
    name="NoMetFiller",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.850980, 0.901961, 1.000000, 1.000000),
    pwidth=3,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.850980, 0.901961, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=334,
    selectable=True,
    visible=True,
    gdsLayer=160,
    datatype=0,
)
prBoundary_drw = ddef.layLayer(
    name="prBoundary",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=335,
    selectable=True,
    visible=True,
    gdsLayer=189,
    datatype=0,
)
prBoundary_lbl = ddef.layLayer(
    name="prBoundary",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=336,
    selectable=True,
    visible=True,
    gdsLayer=189,
    datatype=1,
)
prBoundary_bnd = ddef.layLayer(
    name="prBoundary",
    purpose="bnd",
    pcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.600000, 0.000000, 0.901961, 1.000000),
    btexture="stipples/C1.txt",
    z=337,
    selectable=True,
    visible=True,
    gdsLayer=189,
    datatype=4,
)
Exchange0_drw = ddef.layLayer(
    name="Exchange0",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C52.txt",
    z=338,
    selectable=True,
    visible=True,
    gdsLayer=190,
    datatype=0,
)
Exchange0_lbl = ddef.layLayer(
    name="Exchange0",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=339,
    selectable=True,
    visible=True,
    gdsLayer=190,
    datatype=1,
)
Exchange0_pin = ddef.layLayer(
    name="Exchange0",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C53.txt",
    z=340,
    selectable=True,
    visible=True,
    gdsLayer=190,
    datatype=2,
)
Exchange0_txt = ddef.layLayer(
    name="Exchange0",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.800000, 0.721569, 0.600000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.800000, 0.721569, 0.600000, 1.000000),
    btexture="stipples/C1.txt",
    z=341,
    selectable=True,
    visible=True,
    gdsLayer=190,
    datatype=25,
)
Exchange1_drw = ddef.layLayer(
    name="Exchange1",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C41.txt",
    z=342,
    selectable=True,
    visible=True,
    gdsLayer=191,
    datatype=0,
)
Exchange1_lbl = ddef.layLayer(
    name="Exchange1",
    purpose="lbl",
    pcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=343,
    selectable=True,
    visible=True,
    gdsLayer=191,
    datatype=1,
)
Exchange1_pin = ddef.layLayer(
    name="Exchange1",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.847059, 0.000000, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 1.000000, 0.000000, 1.000000),
    btexture="stipples/C53.txt",
    z=344,
    selectable=True,
    visible=True,
    gdsLayer=191,
    datatype=2,
)
Exchange1_txt = ddef.layLayer(
    name="Exchange1",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 0.800000, 0.400000, 1.000000),
    btexture="stipples/C1.txt",
    z=345,
    selectable=True,
    visible=True,
    gdsLayer=191,
    datatype=25,
)
Exchange2_drw = ddef.layLayer(
    name="Exchange2",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.749020, 0.949020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.749020, 0.949020, 1.000000),
    btexture="stipples/C42.txt",
    z=346,
    selectable=True,
    visible=True,
    gdsLayer=192,
    datatype=0,
)
Exchange2_lbl = ddef.layLayer(
    name="Exchange2",
    purpose="lbl",
    pcolor=QColor.fromRgbF(1.000000, 0.749020, 0.949020, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.749020, 0.949020, 1.000000),
    btexture="stipples/C1.txt",
    z=347,
    selectable=True,
    visible=True,
    gdsLayer=192,
    datatype=1,
)
Exchange2_pin = ddef.layLayer(
    name="Exchange2",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.749020, 0.949020, 1.000000),
    btexture="stipples/C53.txt",
    z=348,
    selectable=True,
    visible=True,
    gdsLayer=192,
    datatype=2,
)
Exchange2_txt = ddef.layLayer(
    name="Exchange2",
    purpose="txt",
    pcolor=QColor.fromRgbF(1.000000, 0.462745, 0.984314, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.462745, 0.984314, 1.000000),
    btexture="stipples/C1.txt",
    z=349,
    selectable=True,
    visible=True,
    gdsLayer=192,
    datatype=25,
)
Exchange3_drw = ddef.layLayer(
    name="Exchange3",
    purpose="drw",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C43.txt",
    z=350,
    selectable=True,
    visible=True,
    gdsLayer=193,
    datatype=0,
)
Exchange3_lbl = ddef.layLayer(
    name="Exchange3",
    purpose="lbl",
    pcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=351,
    selectable=True,
    visible=True,
    gdsLayer=193,
    datatype=1,
)
Exchange3_pin = ddef.layLayer(
    name="Exchange3",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.000000, 1.000000, 1.000000, 1.000000),
    btexture="stipples/C54.txt",
    z=352,
    selectable=True,
    visible=True,
    gdsLayer=193,
    datatype=2,
)
Exchange3_txt = ddef.layLayer(
    name="Exchange3",
    purpose="txt",
    pcolor=QColor.fromRgbF(1.000000, 0.729412, 0.192157, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.729412, 0.192157, 1.000000),
    btexture="stipples/C1.txt",
    z=353,
    selectable=True,
    visible=True,
    gdsLayer=193,
    datatype=25,
)
Exchange4_drw = ddef.layLayer(
    name="Exchange4",
    purpose="drw",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C44.txt",
    z=354,
    selectable=True,
    visible=True,
    gdsLayer=194,
    datatype=0,
)
Exchange4_lbl = ddef.layLayer(
    name="Exchange4",
    purpose="lbl",
    pcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=355,
    selectable=True,
    visible=True,
    gdsLayer=194,
    datatype=1,
)
Exchange4_pin = ddef.layLayer(
    name="Exchange4",
    purpose="pin",
    pcolor=QColor.fromRgbF(0.901961, 0.121569, 0.050980, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(1.000000, 0.501961, 0.000000, 1.000000),
    btexture="stipples/C53.txt",
    z=356,
    selectable=True,
    visible=True,
    gdsLayer=194,
    datatype=2,
)
Exchange4_txt = ddef.layLayer(
    name="Exchange4",
    purpose="txt",
    pcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    pwidth=1,
    pstyle=Qt.SolidLine,
    bcolor=QColor.fromRgbF(0.223529, 0.749020, 1.000000, 1.000000),
    btexture="stipples/C1.txt",
    z=357,
    selectable=True,
    visible=True,
    gdsLayer=194,
    datatype=25,
)
pdkDrawingLayers = [
    Activ_drw,
    BiWind_drw,
    GatPoly_drw,
    Cont_drw,
    nSD_drw,
    Metal1_drw,
    Passiv_drw,
    Metal2_drw,
    BasPoly_drw,
    pSD_drw,
    NLDB_drw,
    DigiBnd_drw,
    Via1_drw,
    BackMetal1_drw,
    BackPassiv_drw,
    RES_drw,
    SRAM_drw,
    TRANS_drw,
    IND_drw,
    SalBlock_drw,
    Via2_drw,
    Metal3_drw,
    NWell_drw,
    nBuLay_drw,
    EmWind_drw,
    DeepCo_drw,
    MIM_drw,
    EdgeSeal_drw,
    Substrate_drw,
    dfpad_drw,
    ThickGateOx_drw,
    PLDB_drw,
    PWell_drw,
    Via3_drw,
    Metal4_drw,
    HeatTrans_drw,
    HeatRes_drw,
    FBE_drw,
    EmPoly_drw,
    DigiSub_drw,
    NoDRC_drw,
    TEXT_drw,
    Via4_drw,
    Metal5_drw,
    RadHard_drw,
    MemCap_drw,
    Varicap_drw,
    IntBondVia_drw,
    IntBondMet_drw,
    DevBondVia_drw,
    DevBondMet_drw,
    DevTrench_drw,
    Redist_drw,
    GraphBot_drw,
    GraphTop_drw,
    AntVia1_drw,
    AntMetal2_drw,
    GraphCont_drw,
    SiWG_drw,
    SiGrating_drw,
    SiNGrating_drw,
    GraphPas_drw,
    EmWind3_drw,
    EmWiHV3_drw,
    RedBuLay_drw,
    SMOS_drw,
    GraphPad_drw,
    Polimide_drw,
    Recog_drw,
    ColOpen_drw,
    GraphMetal1_drw,
    GraphMet1L_drw,
    EXTBlock_drw,
    NLDD_drw,
    PLDD_drw,
    NExt_drw,
    PExt_drw,
    NExtHV_drw,
    PExtHV_drw,
    GraphGate_drw,
    SiNWG_drw,
    MEMPAD_drw,
    TopVia1_drw,
    TopMetal1_drw,
    INLDPWL_drw,
    PolyRes_drw,
    Vmim_drw,
    nBuLayCut_drw,
    AntMetal1_drw,
    TopVia2_drw,
    TopMetal2_drw,
    SNSRing_drw,
    Sensor_drw,
    SNSArms_drw,
    SNSCMOSVia_drw,
    ColWind_drw,
    FLM_drw,
    HafniumOx_drw,
    MEMVia_drw,
    ThinFilmRes_drw,
    RFMEM_drw,
    NoRCX_drw,
    SNSBotVia_drw,
    SNSTopVia_drw,
    DeepVia_drw,
    FGEtch_drw,
    CtrGat_drw,
    FGImp_drw,
    EmWiHV_drw,
    LBE_drw,
    AlCuStop_drw,
    NoMetFiller_drw,
    prBoundary_drw,
    Exchange0_drw,
    Exchange1_drw,
    Exchange2_drw,
    Exchange3_drw,
    Exchange4_drw,
]
pdkPinLayers = [
    Activ_pin,
    GatPoly_pin,
    Metal1_pin,
    Passiv_pin,
    Metal2_pin,
    BasPoly_pin,
    BackMetal1_pin,
    IND_pin,
    Metal3_pin,
    NWell_pin,
    nBuLay_pin,
    PWell_pin,
    Metal4_pin,
    Metal5_pin,
    Polimide_pin,
    Recog_pin,
    TopMetal1_pin,
    PolyRes_pin,
    TopMetal2_pin,
    Exchange0_pin,
    Exchange1_pin,
    Exchange2_pin,
    Exchange3_pin,
    Exchange4_pin,
]
pdkTextLayers = [
    Activ_lbl,
    GatPoly_lbl,
    Metal1_lbl,
    Metal1_txt,
    Passiv_lbl,
    Metal2_lbl,
    Metal2_txt,
    BasPoly_lbl,
    BackMetal1_lbl,
    BackMetal1_txt,
    RES_lbl,
    SRAM_lbl,
    IND_txt,
    Metal3_lbl,
    Metal3_txt,
    NWell_lbl,
    nBuLay_lbl,
    Substrate_txt,
    PWell_lbl,
    Metal4_lbl,
    Metal4_txt,
    Metal5_lbl,
    Metal5_txt,
    Polimide_lbl,
    TopMetal1_lbl,
    TopMetal1_txt,
    PolyRes_lbl,
    TopMetal2_lbl,
    TopMetal2_txt,
    prBoundary_lbl,
    Exchange0_lbl,
    Exchange0_txt,
    Exchange1_lbl,
    Exchange1_txt,
    Exchange2_lbl,
    Exchange2_txt,
    Exchange3_lbl,
    Exchange3_txt,
    Exchange4_lbl,
    Exchange4_txt,
]
pdkAllLayers = pdkDrawingLayers + pdkPinLayers + pdkTextLayers
